/*
* Copyright (c) 2014 Christian Surlykke
*
* This file is part of the Nde project. <https://lxqt.org>
* It is distributed under the LGPL 2.1 or later license.
* Please refer to the LICENSE file for a copy of the license.
*/

#ifndef BATTERYINFODIALOG_H
#define BATTERYINFODIALOG_H

#include "batteryinfoframe.h"
#include <QLabel>
#include <QDialog>
#include <QList>
#include <QHBoxLayout>
#include <Nde/Settings>
#include <Solid/Battery>
#include "iconproducer.h"
namespace Ui {
class BatteryInfoDialog;
}

class BatteryInfoDialog : public QDialog
{
    Q_OBJECT

public:
    explicit BatteryInfoDialog(QList<Solid::Battery*> batteries, QWidget *parent = 0);
    ~BatteryInfoDialog();

public slots:
    void toggleShow();

private:
    Ui::BatteryInfoDialog *ui;
};

class BatteryWidget : public QWidget
{
    Q_OBJECT
public:
    explicit BatteryWidget(QList<Solid::Battery*> batteries,QWidget * parent = nullptr);
protected:
    void paintEvent(QPaintEvent * event);
protected:
    bool event(QEvent *e);
private:
    void Init();
    void update();
    void updatebg();
private slots:
    void toggleShow();
private:
    Nde::Settings * setting;
    IconTool icontool;
    QList<Solid::Battery*> battery;
    QHBoxLayout * lay;
    QLabel * icon;
    QLabel * cout;
    QLabel * msg;
};

#endif // BATTERYINFODIALOG_H
